const app = require('../../utils/util.js');
const tool = require('../../utils/tool.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    arr: []
  },
  goActive(e) {
    console.log(e.currentTarget.dataset.id)
    wx.redirectTo({
      url: '/pages/onSiteActivity/onSiteActivity?id=' + e.currentTarget.dataset.id,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  getActivies() {
    wx.showLoading();
    wx.request({
      url: app.globalData.publicUrl + '/wx/member/' + this.data.openid + '/myActive',
      method: "get",
      success: (res) => {
        console.log(res)
        if (res.data.code == 0) {
          this.setData({
            arr: res.data.actives
          })
        }
      },complete(){
        wx.hideLoading()
      }
    })
  },
  onLoad(options) {
    tool.openidStatus().then(result => {
      this.setData({
        openid: result[0],
        sessionkey: result[1]
      })
      this.getActivies();
    })
    
    // const getOpenid = await tool.openidStatus();
    // this.setData({
    //   openid: getOpenid[0],
    //   sessionkey: getOpenid[1]
    // })

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})